Subject: RE: "new" issue / Event Notification

From: <[email-masked]>
Date: Wed, 23 Apr 2003 07:14:40 -0500

It helps if replacement text is suggested as well. However it is
still useful to have the issue listed and discussed by WG members
before arriving at any consensus on the text/conclusion.

-Basavaraj

> 
> I've created a new issue (Issue11) about this. In general I 
> think that text replacement should be provided. But, let's 
> see what chairs think about this issue system..
> - Dan
> 
> > 
> > 
> > hi all,
> > 
> > the following is about the discovery phase in the pana draft:
> > 
> >     PaC may also choose to start sending packets before getting
> >     authenticated.  In that case, the network should detect this and
> >     send an unsolicited PANA_start message to PaC.  EP is the 
> > node that
> >     can detect such activity.  If EP and PAA are co-located, then an
> >     internal mechanism (e.g. API) between the EP module and the PAA
> >     module on the same host can prompt PAA to start PANA.  In 
> > case they
> >     are separate, there needs to [be] an explicit message to prompt
> >     PAA.
> > 
> > 
> > 1/ on the one hand, the current version of the pana 
> protocol quickly 
> > states [discovery section] that, in case of 'traffic-driven' 
> > authentication, the EP must send a PANA_start message to the PAA:
> > 
> >     Upon detecting the need to authenticate a client, EP can send a
> >     PAC_discovery message to the PAA on behalf of the PaC. This
> >     message carries a device identifier of the PaC in a 
> Device-Id AVP.
> > 
> > 2/ on the other hand, the requirements draft [EP-PAA protocol 
> > section] 
> > states that the PAA-EP protocol should support 
> > event-notification also:
> > 
> >     Depending on the PANA protocol design, support for either 
> > of the push
> >     model (i.e., EP initiating the PAA-EP protocol exchange 
> > per PaC) or
> >     the pull model (i.e., PAA initiating the PAA-EP protocol 
> > exchange per
> >     PaC), or both might be required.
> > 
> > 
> > --> the working group should fix this (not listed on the web 
> > site) issue 
> > also (the PANA protocol OR the PAA-EP protocol supports the 
> > EP-triggering)
> > 
> > my personal feeling on this is that the PANA protocol should be 
> > restricted to PaC-PAA communication and the PAA-EP protocol 
> > (whichever 
> > you finaly choose) should take it as a requirement.
> > 
> > thanks,
> > yacine
> > 
> > 
> > 
> 
>

---

From: [email-masked]
Date: Wed, 23 Apr 2003 14:50:16 +0200

hi Basavaraj,

[email-masked] wrote:

> It helps if replacement text is suggested as well. 

Bellow is the current text in the current version of the pana protocol 
draft:

     Upon detecting the need to authenticate a client, EP can send a
     PAC_discovery message to the PAA on behalf of the PaC. This
     message carries a device identifier of the PaC in a Device-Id AVP.

If there is a consensus for using PAA-EP protocol here, one can replace 
the lattest paragraph in the pana draft by a similar one stating that 
the PAA-EP protocol will deal with this explicit message:

"Upon detecting the need to authenticate a client, EP can prompt the PAA 
using the PAA-EP protocol. This message should carry a device identifier 
of the PaC."

Moreover, the PAA-EP protocol requirements in the requirements draft 
should state clearly that the PAA-EP protocol must support 
'event-notification' (it's the case of most of the candidates, namely 
SNMP, COPS, etc.).

> However it is

thanks,
yacine

---

From: Yoshihiro Ohba <[email-masked]>
Date: Tue, 22 Apr 2003 23:38:45 -0700

Hi Yacine,

> using the PAA-EP protocol. This message should carry a device identifier 

I tend to agree on the proposed text, which makes the PAA-EP protocol
more independent of the PaC-PAA protocol.  I admit that the current
design requires EPs to manufacture a specific PANA message PDU (i.e.,
PAA_discovery) in its payload while it does not speak PANA.
Specifying the required functionality instead of specifying both
functionality and message format might be sufficient for the EP-PAA
protocol to satisfy the PANA requirement.  Of course the actual 
design of the EP-PAA protocol may choose to carry PANA_discovery
message based on their design criteria.

Yoshihiro Ohba